Send SMS OTP
Generate and send one-time passwords over SMS.
POST
/v1/otp/sendRequest Body
| Option | Type | Required | Description |
|---|---|---|---|
to | string | yes | Recipient phone number. |
from | string | yes | Approved sender ID. |
pin_type | string | no | numeric or alphanumeric. |
pin_length | number | no | 4 to 8 characters. |
pin_time_to_live | number | no | Expiry in minutes, 1 to 60. |
message_text | string | no | Message template containing the pin placeholder. |
pin_placeholder | string | no | Defaults to < 1234 >. |
{
"to": "08025671695",
"from": "NairaSMS",
"pin_type": "numeric",
"pin_length": 6,
"pin_time_to_live": 10,
"message_text": "Your NairaSMS code is < 1234 >"
}Sample Response
{
"data": {
"smsStatus": "Message Sent",
"phone_number": "2348025671695",
"pinId": "c8dcd048-5e7f-4347-8c89-4470c3af0b",
"status": "200"
}
}